import * as React from "react";
import {
  ErrorContext,
  ErrorContextValue,
} from "./ErrorContext";

export const ErrorContextProvider = (
  props: React.ProviderProps<ErrorContextValue>
): React.ReactElement => {
  return (
    <ErrorContext.Provider value={props.value}>
      {props.children}
    </ErrorContext.Provider>
  )
}
